Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class DataSetParameter

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.DataSetParameter

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

Direct Known Subclasses:
  OdaDataSetParameter

    public class DataSetParameter

extends org.eclipse.birt.report.model.core.Structure

Represents the parameter for ODA drivers. The parameter is the part of the data set definition, if defined. A parameter can be an input or output parameter. A parameter can also be input and output parameter. Each data set parameter has the following properties:

Name
  a data set parameter has a required name.
Position
  a data set parameter has an optional position for it.
Data Type
  a data set parameter has a choice data type: any, integer, string, data time, decimal, float, structure or table.
Is optional
  whether this parameter is optional.
Allow Null
  whether the value of this parameter can be nullable.
Is Input
  whether this parameter is an input parameter.
Is Output
  whether this parameter is an output parameter.

Field Summary
`static java.lang.String` | `ALLOW_NULL_MEMBER` Name of the member indicating that whether the value of this parameter can be `null`.
`static java.lang.String` | `DATA_TYPE_MEMBER` Name of the parameter data type member.
`static java.lang.String` | `DEFAULT_VALUE_MEMBER` Name of the parameter default value member.
`static java.lang.String` | `IS_INPUT_MEMBER` Name of the member indicating that whether this is an input parameter.
`static java.lang.String` | `IS_NULLABLE_MEMBER` Deprecated.
`static java.lang.String` | `IS_OPTIONAL_MEMBER` Name of the member indicating that whether the report must provide a value for this parameter.
`static java.lang.String` | `IS_OUTPUT_MEMBER` Name of the member indicating that whether this is an output parameter.
`static java.lang.String` | `NAME_MEMBER` Name of the parameter name member.
`static java.lang.String` | `NATIVE_DATA_TYPE_MEMBER` Name of the member indicating the native (database) data type code.
`static java.lang.String` | `POSITION_MEMBER` Name of the position member.
`static java.lang.String` | `STRUCT_NAME` Name of this structure.

Constructor Summary
`DataSetParameter()`

Method Summary
`boolean` | `allowNull()` Checks whether the value of this parameter can be `null`.
`java.lang.String` | `getDataType()` Returns the parameter data type.
`java.lang.String` | `getDefaultValue()` Gets the default value of the input parameter.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.String` | `getName()` Returns the parameter name.
`java.lang.Integer` | `getNativeDataType()` Returns the native data type.
`java.lang.String` | `getParameterDataType()` Returns the data type in parameter type choices of this parameter.
`java.lang.Integer` | `getPosition()` Returns the position of this parameter.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`boolean` | `isInput()` Checks whether this parameter is an input parameter.
`boolean` | `isNullable()` Deprecated. Use `allowNull()`
`boolean` | `isOptional()` Whether the parameter is optional.
`boolean` | `isOutput()` Checks whether this parameter is an output parameter.
`void` | `setAllowNull(boolean allowNull)` Sets whether the value of this parameter can be `null`.
`void` | `setDataType(java.lang.String dataType)` Sets the parameter data type.
`void` | `setDefaultValue(java.lang.String expr)` Sets the default value of the input parameter.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setIsInput(boolean isInput)` Sets whether this parameter is an input parameter.
`void` | `setIsNullable(boolean isNullable)` Deprecated. Use `setAllowNull(boolean)`
`void` | `setIsOptional(boolean value)` Sets whether the parameter is optional.
`void` | `setIsOutput(boolean isOutput)` Sets whether this parameter is an output parameter.
`void` | `setName(java.lang.String name)` Sets the parameter name.
`void` | `setNativeDataType(java.lang.Integer dataType)` Sets the parameter native data type.
`void` | `setParameterDataType(java.lang.String dataType)` Sets the data type in parameter type choices to this parameter.
`void` | `setPosition(java.lang.Integer position)` Sets the position of this parameter.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validate whether this structure is valid.

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCT_NAME

    public static final java.lang.String STRUCT_NAME

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### POSITION_MEMBER

    public static final java.lang.String POSITION_MEMBER

  Name of the position member.

  See Also:
    Constant Field Values

### NAME_MEMBER

    public static final java.lang.String NAME_MEMBER

  Name of the parameter name member.

  See Also:
    Constant Field Values

### DATA_TYPE_MEMBER

    public static final java.lang.String DATA_TYPE_MEMBER

  Name of the parameter data type member.

  See Also:
    Constant Field Values

### IS_OPTIONAL_MEMBER

    public static final java.lang.String IS_OPTIONAL_MEMBER

  Name of the member indicating that whether the report must provide a value for this parameter.

  See Also:
    Constant Field Values

### DEFAULT_VALUE_MEMBER

    public static final java.lang.String DEFAULT_VALUE_MEMBER

  Name of the parameter default value member.

  See Also:
    Constant Field Values

### IS_NULLABLE_MEMBER

    public static final java.lang.String IS_NULLABLE_MEMBER

  Deprecated.
  Name of the member indicating that whether the value of this parameter can be `null`.

  See Also:
    Constant Field Values

### ALLOW_NULL_MEMBER

    public static final java.lang.String ALLOW_NULL_MEMBER

  Name of the member indicating that whether the value of this parameter can be `null`.

  See Also:
    Constant Field Values

### IS_INPUT_MEMBER

    public static final java.lang.String IS_INPUT_MEMBER

  Name of the member indicating that whether this is an input parameter.

  See Also:
    Constant Field Values

### IS_OUTPUT_MEMBER

    public static final java.lang.String IS_OUTPUT_MEMBER

  Name of the member indicating that whether this is an output parameter.

  See Also:
    Constant Field Values

### NATIVE_DATA_TYPE_MEMBER

    public static final java.lang.String NATIVE_DATA_TYPE_MEMBER

  Name of the member indicating the native (database) data type code.

  See Also:
    Constant Field Values

Constructor Detail

### DataSetParameter

    public DataSetParameter()

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Specified by:
    `getIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Specified by:
    `setIntrinsicProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### isOptional

    public boolean isOptional()

  Whether the parameter is optional.

  Returns:
    whether the parameter is optional

### setIsOptional

    public void setIsOptional(boolean value)

  Sets whether the parameter is optional.

  Parameters:
    `value` - the value to set

### setDefaultValue

    public void setDefaultValue(java.lang.String expr)

  Sets the default value of the input parameter.

  Parameters:
    `expr` - the default value

### getDefaultValue

    public java.lang.String getDefaultValue()

  Gets the default value of the input parameter.

  Returns:
    the default value

### isInput

    public boolean isInput()

  Checks whether this parameter is an input parameter.

  Returns:
    `true` if it is an input parameter. Otherwise `false`.

### setIsInput

    public void setIsInput(boolean isInput)

  Sets whether this parameter is an input parameter.

  Parameters:
    `isInput` - `true` if it is an input parameter. Otherwise `false`.

### isNullable

    public boolean isNullable()

  Deprecated. Use `allowNull()`

  Checks whether the value of this parameter can be `null`.

  Returns:
    `true` if the value can be `null`. Otherwise `false`.

### setIsNullable

    public void setIsNullable(boolean isNullable)

  Deprecated. Use `setAllowNull(boolean)`

  Sets whether the value of this parameter can be `null`.

  Parameters:
    `isNullable` - `true` if the value can be `null`. Otherwise `false`.

### allowNull

    public boolean allowNull()

  Checks whether the value of this parameter can be `null`.

  Returns:
    `true` if the value can be `null`. Otherwise `false`.

### setAllowNull

    public void setAllowNull(boolean allowNull)

  Sets whether the value of this parameter can be `null`.

  Parameters:
    `allowNull` - `true` if the value can be `null`. Otherwise `false`.

### isOutput

    public boolean isOutput()

  Checks whether this parameter is an output parameter.

  Returns:
    `true` if it is an output parameter. Otherwise `false`.

### setIsOutput

    public void setIsOutput(boolean isOutput)

  Sets whether this parameter is an output parameter.

  Parameters:
    `isOutput` - `true` if it is an output parameter. Otherwise `false`.

### getDataType

    public java.lang.String getDataType()

  Returns the parameter data type.

  Returns:
    the parameter dataType

### setDataType

    public void setDataType(java.lang.String dataType)

  Sets the parameter data type.

  Parameters:
    `dataType` - the data type to set

### getName

    public java.lang.String getName()

  Returns the parameter name.

  Returns:
    the parameter name

### setName

    public void setName(java.lang.String name)

  Sets the parameter name.

  Parameters:
    `name` - the name to set

### getPosition

    public java.lang.Integer getPosition()

  Returns the position of this parameter.

  Returns:
    the position of this parameter

### setPosition

    public void setPosition(java.lang.Integer position)

  Sets the position of this parameter.

  Parameters:
    `position` - the position to set

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Validate whether this structure is valid. The derived class should override this method if semantic check is needed. The each error is the instance of `PropertyValueException`.

  Overrides:
    `validate` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `module` - the module
    `element` - the element contains this structure
  Returns:
    the semantic error list

### getNativeDataType

    public java.lang.Integer getNativeDataType()

  Returns the native data type.

  Returns:
    the parameter native data type.

### setNativeDataType

    public void setNativeDataType(java.lang.Integer dataType)

  Sets the parameter native data type.

  Parameters:
    `dataType` - the native data type to set.

### getParameterDataType

    public java.lang.String getParameterDataType()

  Returns the data type in parameter type choices of this parameter. The possible values are:
  - PARAM_TYPE_ANY
  - PARAM_TYPE_INTEGER
  - PARAM_TYPE_STRING
  - PARAM_TYPE_DATETIME
  - PARAM_TYPE_DECIMAL
  - PARAM_TYPE_FLOAT
  - PARAM_TYPE_BOOLEAN

  Returns:
    the data type of this parameter.

### setParameterDataType

    public void setParameterDataType(java.lang.String dataType)

  Sets the data type in parameter type choices to this parameter. The allowed values are:
  - PARAM_TYPE_ANY
  - PARAM_TYPE_INTEGER
  - PARAM_TYPE_STRING
  - PARAM_TYPE_DATETIME
  - PARAM_TYPE_DECIMAL
  - PARAM_TYPE_FLOAT
  - PARAM_TYPE_BOOLEAN

  Parameters:
    `dataType` - the data type to set
  Throws:
    `SemanticException` - if the value is not in the above list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.